=== debian/control ===
Source: binutils-xtensa
Section: devel
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends:
 binutils-source,
 debhelper-compat (= 13),
 bison,
 flex,
 gettext,
 texinfo,
 dejagnu,
 python3,
 file,
 xz-utils,
 lsb-release,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
HomePage: https://sourceware.org/binutils/
Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/binutils-xtensa.git
Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/binutils-xtensa

Package: binutils-xtensa-lx106
Architecture: any
Built-Using: ${Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU binary utilities, for Xtensa lx106 core
 Bare metal binutils for chips using the Xtensa lx106 core, such as the
 Espressif ESP8266 wireless modules. The programs in this package are
 used to manipulate binary and object files that may have been created
 for the Xtensa architecture. This package is primarily for those
 developing for the ESP8266 platform and is not needed by normal users or
 developers.
