## binutils-xtensa 6build1

=== debian/changelog ===
binutils-xtensa (6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 23:03:57 +0000
